Name:           jsch
Version:        0.1.55
Release:        %mkrel 10
Group:          Development/Java
Summary:        Pure Java implementation of SSH2
License:        BSD-3-Clause
URL:            http://www.jcraft.com/jsch/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        http://download.sourceforge.net/sourceforge/jsch/jsch-%{version}.zip
# stripped manifest based on 
# https://download.eclipse.org/tools/orbit/downloads/drops2/R20201130205003/repository/plugins/com.jcraft.jsch_0.1.55.v20190404-1902.jar
Source1:        MANIFEST.MF
Source2:        plugin.properties

BuildRequires:  maven-local
BuildRequires:  mvn(com.jcraft:jzlib)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  zip

Requires:       jzlib >= 0:1.0.5

%description
JSch allows you to connect to an sshd server and use port forwarding, 
X11 forwarding, file transfer, etc., and you can integrate its 
functionality into your own Java programs.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%prep
%setup -q
%mvn_file : jsch

%pom_remove_parent

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-compiler-plugin

%pom_xpath_remove pom:project/pom:build/pom:extensions
%pom_xpath_set pom:project/pom:version %{version}

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

# inject the OSGi Manifest
mkdir META-INF
cp %{SOURCE1} META-INF
cp %{SOURCE2} plugin.properties
touch META-INF/MANIFEST.MF
touch plugin.properties
zip target/%{name}-%{version}.jar META-INF/MANIFEST.MF
zip target/%{name}-%{version}.jar plugin.properties

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Sat May 25 2024 ns80 <ns80> 0.1.55-10.mga10
+ Revision: 2067485
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 0.1.55-8.mga9
+ Revision: 1871583
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 0.1.55-1.mga9
+ Revision: 1694797
- Update to latest upstream version 0.1.55

* Fri Feb 14 2020 umeabot <umeabot> 0.1.54-4.mga8
+ Revision: 1521989
- Mageia 8 Mass Rebuild

* Tue Jan 08 2019 daviddavid <daviddavid> 0.1.54-3.mga7
+ Revision: 1351595
- Fix FTBFS

* Tue Sep 18 2018 umeabot <umeabot> 0.1.54-2.mga7
+ Revision: 1262585
- Mageia 7 Mass Rebuild

* Tue Sep 06 2016 daviddavid <daviddavid> 0.1.54-1.mga6
+ Revision: 1050268
- New upstream release 0.1.54 fixes CVE-2016-5725 (mga#19296)
- Fix version in pom.xml
- Add missing build-requires
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Mar 02 2016 neoclust <neoclust> 0.1.53-5.mga6
+ Revision: 981759
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0.1.53-4.mga6
+ Revision: 976464
- First rebuild of the java stack
- sync package jsch with fedora

* Tue Feb 09 2016 umeabot <umeabot> 0:0.1.51-5.mga6
+ Revision: 952176
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 0:0.1.51-4.mga5
+ Revision: 811330
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0:0.1.51-3.mga5
+ Revision: 747210
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.1.51-2.mga5
+ Revision: 680866
- Mageia 5 Mass Rebuild

* Thu May 08 2014 dmorgan <dmorgan> 0:0.1.51-1.mga5
+ Revision: 621297
- New version

* Sat Oct 19 2013 umeabot <umeabot> 0:0.1.49-2.mga4
+ Revision: 529749
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 0:0.1.49-1.mga4
+ Revision: 453169
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0:0.1.48-4.mga3
+ Revision: 355600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0:0.1.48-3.mga3
+ Revision: 324934
- Add maven POM

* Thu Jul 05 2012 dmorgan <dmorgan> 0:0.1.48-2.mga3
+ Revision: 268222
- New release 0.1.48

* Fri Jan 06 2012 dmorgan <dmorgan> 0:0.1.45-1.mga2
+ Revision: 192151
- New version 0.1.45

* Sun Dec 25 2011 dmorgan <dmorgan> 0:0.1.44-2.mga2
+ Revision: 187552
- Rebuild for OSGi provides.

* Mon Mar 07 2011 dmorgan <dmorgan> 0:0.1.44-1.mga1
+ Revision: 65822
- New version ( sync with fedora )

* Sat Jan 15 2011 mikala <mikala> 0:0.1.41-0.0.2.mga1
+ Revision: 18460
- imported package jsch


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.1.41-0.0.2mdv2011.0
+ Revision: 606115
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:0.1.41-0.0.1mdv2010.1
+ Revision: 523131
- rebuilt for 2010.1

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.1.41-0.0.0mdv2009.1
+ Revision: 332740
- New upstream release

* Mon Oct 20 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.40-0.0.0mdv2009.1
+ Revision: 295825
- 0.1.40

* Wed Jul 30 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.39-1.1.1mdv2009.0
+ Revision: 255169
- update OSGI manifest for the new eclipse

* Fri Jun 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.39-0.0.1mdv2009.0
+ Revision: 218741
- new version 0.1.39 and disable gcj compile

* Wed Apr 23 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:0.1.38-0.0.1mdv2009.0
+ Revision: 196798
- new version

* Tue Jan 22 2008 David Walluck <walluck@mandriva.org> 0:0.1.37-0.0.1mdv2008.1
+ Revision: 156080
- BuildRequires: zip
- remove %%ghost references
- compile demos
- reference jar by name when building/installing
- 0.1.37

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Fri Nov 02 2007 David Walluck <walluck@mandriva.org> 0:0.1.36-0.0.1mdv2008.1
+ Revision: 105307
- 0.1.36

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:0.1.34-0.0.2mdv2008.0
+ Revision: 87442
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Aug 29 2007 David Walluck <walluck@mandriva.org> 0:0.1.34-0.0.1mdv2008.0
+ Revision: 74718
- 0.1.34

* Wed Aug 08 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.2mdv2008.0
+ Revision: 60577
- match eclipse jsch version in manifest

* Fri Jul 27 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1.0.1mdv2008.0
+ Revision: 56260
- fix Bundle-Version in MANIFEST.MF
- add MANIFEST.MF for eclipse

* Fri May 11 2007 David Walluck <walluck@mandriva.org> 0:0.1.33-1mdv2008.0
+ Revision: 26412
- 0.1.33


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 0.1.32-1mdv2007.1
+ Revision: 134928
- 0.1.32

* Wed Jan 17 2007 David Walluck <walluck@mandriva.org> 0:0.1.31-1mdv2007.1
+ Revision: 110012
- 0.1.31

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.1.30-1mdv2007.1
+ Revision: 75109
- 0.1.30
- Import jsch

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:0.1.29-1mdv2007.0
- 0.1.29

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-2mdv2007.0
- rebuild for libgcj.so.7

* Sat May 06 2006 David Walluck <walluck@mandriva.org> 0:0.1.28-1mdk
- 0.1.28

* Thu Apr 20 2006 David Walluck <walluck@mandriva.org> 0:0.1.27-1mdk
- 0.1.27
- aot compile

* Sat Apr 01 2006 David Walluck <walluck@mandriva.org> 0:0.1.26-1mdk
- 0.1.26

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.1.25-1mdk
- New release 0.1.25

* Tue Jan 17 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-2mdk
- BuildRequires: ant, java-devel

* Sat Jan 14 2006 David Walluck <walluck@mandriva.org> 0:0.1.24-1mdk
- 0.1.24

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:0.1.20-1.1mdk
- release

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.20-1jpp
- 0.1.20

* Sat Apr 23 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1.18-1jpp
- 0.1.18

* Tue Nov 02 2004 David Walluck <david@jpackage.org> 0:0.1.17-2jpp
- rebuild with jdk 1.4.2

* Wed Oct 20 2004 David Walluck <david@jpackage.org> 0:0.1.17-1jpp
- 0.1.17

* Tue Aug 24 2004 Randy Watler <rwatler at finali.com> - 0:0.1.13-2jpp
- Rebuild with ant-1.6.2

